Page MenuHomePhabricator

Migrate PHPUnit MediaWiki core jobs to Nodepool
Closed, ResolvedPublic

Description

Track migration of PHPUnit jobs for mediawiki/core to Nodepool.

OKmediawiki-phpunit-hhvm
OKmediawiki-phpunit-hhvm-composer https://gerrit.wikimedia.org/r/#/c/342478/
OKmediawiki-phpunit-php55
OKmediawiki-phpunit-parsertests-php55
OKmediawiki-phpunit-parsertests-hhvm 

The the jobs from extension-gate, the qunit one got migrated already and the whole clones takes roughly a minute which is good enough for now.

OKmediawiki-extensions-hhvmhttps://gerrit.wikimedia.org/r/#/c/324477/
OKmediawiki-extensions-php55https://gerrit.wikimedia.org/r/#/c/324477/

Details

Event Timeline

hashar created this task.May 11 2016, 2:36 PM
Restricted Application added a subscriber: Zppix. · View Herald TranscriptMay 11 2016, 2:36 PM
hashar updated the task description. (Show Details)May 11 2016, 2:37 PM

Change 286497 had a related patch set uploaded (by Hashar):
(WIP) Mediawiki PHPUnit to Nodepool (WIP)

https://gerrit.wikimedia.org/r/286497

Triggering jobs manually from gallium.wikimedia.org:/home/hashar with:

./trigger-job.py --job mediawiki-phpunit-php55-trusty --branch master --project mediawiki/core &
./trigger-job.py --job mediawiki-phpunit-hhvm-jessie --branch master --project mediawiki/core &
./trigger-job.py --job mediawiki-phpunit-hhvm-trusty --branch master --project mediawiki/core &

./trigger-job.py --job mediawiki-parsertests-php55-trusty --branch master --project mediawiki/core &
./trigger-job.py --job mediawiki-parsertests-hhvm-jessie --branch master --project mediawiki/core &
./trigger-job.py --job mediawiki-parsertests-hhvm-trusty --branch master --project mediawiki/core &

That hook directly into the Gearman server.

PHPUnit without parser tests:

JobStatus
mediawiki-phpunit-php55-trustyTests: 11198, Assertions: 71225, Skipped: 27.
mediawiki-phpunit-hhvm-trustyTests: 11201, Assertions: 72109, Skipped: 116.
mediawiki-phpunit-hhvm-jessieTests: 11201, Assertions: 72109, Skipped: 116.

Zend 5.5 apparently miss the xhprof extension though I have added it. There is also a bunch of Tidy not found.

HHVM is mostly SKIPPED: tidy extension is not installed.. See below.

parsertests suite:

JobStatus
mediawiki-parsertests-hhvm-jessieTests: 1339, Assertions: 2573, Skipped: 103.
mediawiki-parsertests-hhvm-trustyTests: 1339, Assertions: 2573, Skipped: 103.
mediawiki-parsertests-php55-trustyOK (1339 tests, 2676 assertions)

The 103 skipped tests under HHVM are all due to SKIPPED: tidy extension is not installed.. Ie either the hhvm-tidy extension is not loaded or it is not recognized by our test suite.

hashar added a comment.EditedMay 11 2016, 4:23 PM

Trusty images have xhprof:

php5-xhprof:
  Installed: 0.9.4-1build1
  Candidate: 0.9.4-1build1
  Version table:
 *** 0.9.4-1build1 0
        500 http://nova.clouds.archive.ubuntu.com/ubuntu/ trusty/universe amd64 Packages
        100 /var/lib/dpkg/status

Retriggered https://integration.wikimedia.org/ci/job/mediawiki-phpunit-php55-trusty/7/console

mediawiki-parsertests-hhvm-jessieTests: 1339, Assertions: 2573, Skipped: 103.
mediawiki-parsertests-hhvm-trustyTests: 1339, Assertions: 2573, Skipped: 103.
mediawiki-parsertests-php55-trustyOK (1339 tests, 2676 assertions)
mediawiki-phpunit-hhvm-jessieTests: 9881, Assertions: 69563, Skipped: 13.
mediawiki-phpunit-hhvm-trustyTests: 9881, Assertions: 69563, Skipped: 13.
mediawiki-phpunit-php55-trustyTests: 9881, Assertions: 69553, Skipped: 15.

hhvm on Jessie and Trusty do not behave the same :(

Change 286497 merged by jenkins-bot:
Mediawiki core/vendor PHPUnit jobs to Nodepool

https://gerrit.wikimedia.org/r/286497

Bunch of changes got enqueued and they seem to pass just fine \O/

Next are the gate jobs:

mediawiki-extensions-hhvm
mediawiki-extensions-php55

Mentioned in SAL [2016-05-13T09:59:05Z] <hashar> Deleting non nodepool mediawiki PHPUnit jobs for T135001 (mediawiki-phpunit-hhvm mediawiki-phpunit-parsertests-hhvm mediawiki-phpunit-parsertests-php55 mediawiki-phpunit-php55)

hashar updated the task description. (Show Details)May 13 2016, 10:00 AM

Change 288586 had a related patch set uploaded (by Hashar):
Remove obsolete MediaWiki jobs

https://gerrit.wikimedia.org/r/288586

Change 288586 merged by jenkins-bot:
Remove obsolete MediaWiki jobs

https://gerrit.wikimedia.org/r/288586

Change 290806 had a related patch set uploaded (by Paladox):
Migrate mediawiki-phpunit-phpflavour-composer to nodepool

https://gerrit.wikimedia.org/r/290806

hashar updated the task description. (Show Details)Jun 6 2016, 1:59 PM

Change 324456 had a related patch set uploaded (by Hashar):
mediawiki-extensions-* jobs on Nodepool

https://gerrit.wikimedia.org/r/324456

hashar updated the task description. (Show Details)Nov 30 2016, 2:45 PM

Change 324456 merged by jenkins-bot:
mediawiki-extensions-* jobs on Nodepool

https://gerrit.wikimedia.org/r/324456

Change 324477 had a related patch set uploaded (by Hashar):
Switch to mediawiki-extensions-* jobs

https://gerrit.wikimedia.org/r/324477

Change 324477 merged by jenkins-bot:
Switch mediawiki-extensions-* jobs to Nodepool

https://gerrit.wikimedia.org/r/324477

Change 324913 had a related patch set uploaded (by Hashar):
Drop mediawiki-extensions jobs that ran on permanent slaves

https://gerrit.wikimedia.org/r/324913

Change 324913 merged by jenkins-bot:
Drop mediawiki-extensions jobs that ran on permanent slaves

https://gerrit.wikimedia.org/r/324913

Change 342478 had a related patch set uploaded (by Hashar):
[integration/config] mediawiki-phpunit-hhvm-composer to Nodepool

https://gerrit.wikimedia.org/r/342478

hashar updated the task description. (Show Details)Mar 13 2017, 4:35 PM
hashar updated the task description. (Show Details)Mar 13 2017, 4:38 PM

Change 342478 merged by jenkins-bot:
[integration/config] mediawiki-phpunit-hhvm-composer to Nodepool

https://gerrit.wikimedia.org/r/342478

hashar closed this task as Resolved.Mar 13 2017, 4:38 PM

Change 290806 abandoned by Hashar:
Migrate mediawiki-phpunit-phpflavour-composer to nodepool

Reason:
Obsolete.

https://gerrit.wikimedia.org/r/290806